MONGOC_GRIDFS_CREATE_FILE(3)

NAME
mongoc_gridfs_create_file() - This function shall create a new mongoc_gridfs_file_t.

SYNOPSIS

mongoc_gridfs_file_t *
mongoc_gridfs_create_file (mongoc_gridfs_t          *gridfs,
                           mongoc_gridfs_file_opt_t *opt);

PARAMETERS

gridfs
    A mongoc_gridfs_t \&.

opt A mongoc_gridfs_file_opt_t to specify file options.

DESCRIPTION

This function shall create a new mongoc_gridfs_file_t \&.

Use mongoc_gridfs_file_writev(3) to write to the file.

RETURNS

Returns a newly allocated mongoc_gridfs_file_t that should be freed with mongoc_gridfs_file_destroy(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.